Bug 484862 - GConf2-dbus : Conflicts with other packages
GConf2-dbus : Conflicts with other packages
Status: CLOSED DUPLICATE of bug 492636
Product: Fedora
Classification: Fedora
Component: GConf2-dbus (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 07:27 EST by Michael Schwendt
Modified: 2013-03-13 00:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 06:49:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-02-10 07:27:37 EST
GConf2-dbus-2.16.0-15.fc11.i386  in  rawhide-development-i386
  File conflict with: GConf2-gtk-2.25.0-1.fc11.i386
     /usr/libexec/gconf-sanity-check-2

GConf2-dbus-2.16.0-15.fc11.i386  in  rawhide-development-i386
  File conflict with: GConf2-2.25.0-1.fc11.i386
     /usr/share/locale/ar/LC_MESSAGES/GConf2.mo
     /usr/share/locale/bg/LC_MESSAGES/GConf2.mo
     /usr/share/locale/bn_IN/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ca/LC_MESSAGES/GConf2.mo
     /usr/share/locale/cs/LC_MESSAGES/GConf2.mo
     /usr/share/locale/da/LC_MESSAGES/GConf2.mo
     /usr/share/locale/de/LC_MESSAGES/GConf2.mo
     /usr/share/locale/en_CA/LC_MESSAGES/GConf2.mo
     /usr/share/locale/en_GB/LC_MESSAGES/GConf2.mo
     /usr/share/locale/es/LC_MESSAGES/GConf2.mo
     /usr/share/locale/et/LC_MESSAGES/GConf2.mo
     /usr/share/locale/eu/LC_MESSAGES/GConf2.mo
     /usr/share/locale/fi/LC_MESSAGES/GConf2.mo
     /usr/share/locale/fr/LC_MESSAGES/GConf2.mo
     /usr/share/locale/gl/LC_MESSAGES/GConf2.mo
     /usr/share/locale/gu/LC_MESSAGES/GConf2.mo
     /usr/share/locale/he/LC_MESSAGES/GConf2.mo
     /usr/share/locale/hr/LC_MESSAGES/GConf2.mo
     /usr/share/locale/hu/LC_MESSAGES/GConf2.mo
     /usr/share/locale/it/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ja/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ka/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ko/LC_MESSAGES/GConf2.mo
     /usr/share/locale/lt/LC_MESSAGES/GConf2.mo
     /usr/share/locale/mg/LC_MESSAGES/GConf2.mo
     /usr/share/locale/mk/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ml/LC_MESSAGES/GConf2.mo
     /usr/share/locale/nb/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ne/LC_MESSAGES/GConf2.mo
     /usr/share/locale/nl/LC_MESSAGES/GConf2.mo
     /usr/share/locale/nn/LC_MESSAGES/GConf2.mo
     /usr/share/locale/or/LC_MESSAGES/GConf2.mo
     /usr/share/locale/pa/LC_MESSAGES/GConf2.mo
     /usr/share/locale/pl/LC_MESSAGES/GConf2.mo
     /usr/share/locale/pt/LC_MESSAGES/GConf2.mo
     /usr/share/locale/pt_BR/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ro/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ru/LC_MESSAGES/GConf2.mo
     /usr/share/locale/sk/LC_MESSAGES/GConf2.mo
     /usr/share/locale/sl/LC_MESSAGES/GConf2.mo
     /usr/share/locale/sq/LC_MESSAGES/GConf2.mo
     /usr/share/locale/sr/LC_MESSAGES/GConf2.mo
     /usr/share/locale/sv/LC_MESSAGES/GConf2.mo
     /usr/share/locale/ta/LC_MESSAGES/GConf2.mo
     /usr/share/locale/th/LC_MESSAGES/GConf2.mo
     /usr/share/locale/tr/LC_MESSAGES/GConf2.mo
     /usr/share/locale/uk/LC_MESSAGES/GConf2.mo
     /usr/share/locale/vi/LC_MESSAGES/GConf2.mo
     /usr/share/locale/zh_CN/LC_MESSAGES/GConf2.mo
     /usr/share/locale/zh_HK/LC_MESSAGES/GConf2.mo
     /usr/share/locale/zh_TW/LC_MESSAGES/GConf2.mo

GConf2-dbus-devel-2.16.0-15.fc11.i386  in  rawhide-development-i386
  File conflict with: GConf2-devel-2.25.0-1.fc11.i386
     /usr/lib/pkgconfig/gconf-2.0.pc
     /usr/share/aclocal/gconf-2.m4
     /usr/share/gtk-doc/html/gconf/ch01.html
     /usr/share/gtk-doc/html/gconf/gconf-GConfClient.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-backend.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-changeset.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-engine.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-error.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-internals.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-listeners.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-locale.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-schema.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-sources.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf-value.html
     /usr/share/gtk-doc/html/gconf/gconf-gconf.html
     /usr/share/gtk-doc/html/gconf/gconf.devhelp
     /usr/share/gtk-doc/html/gconf/gconf.devhelp2
     /usr/share/gtk-doc/html/gconf/index.sgml
Comment 1 Michael Schwendt 2009-02-10 08:15:46 EST
Actually, if not considering multilib, there are many more conflicts in the executables and headers.

Spec file says

  #commented out for devel branch
  #Provides: GConf2 = 2.24.0-1
  #Obsoletes: GConf2 <= 2.24.0-1

and that is not mentioned in the %changelog. Obsoletes/Provides for the sub-packages are missing, too.
Comment 2 John (J5) Palmieri 2009-06-03 11:45:26 EDT
Of course it conflicts with GConf2.  It is GConf2 with a patch.  Pretty much binary ABI compatible unless the two have diverged recently.  It shouldn't be used beyond OLPC and even there with the fact that they are getting more memory and disk space they should just start using the Orbit2 dependency.  It was a hack to reduce dependencies while still letting GNOME packages run without modification.

DConf is the next generation DBus GConf and should be parallel installable once it is released (and accepted by GNOME).
Comment 3 John (J5) Palmieri 2009-06-03 12:08:46 EDT
I'm guessing the obsoletes are commented out because as OLPC moved to providing a full GNOME stack issues arose and somehow that worked around them.  The real fix is to not put GConf-dbus into the distribution.  It should have never left the OLPC collection.
Comment 4 James Laska 2009-06-03 15:13:31 EDT
jkeating: should we reassign this to comps?
Comment 5 Michael Schwendt 2009-06-03 15:23:16 EDT
This has nothing to do with comps. The package is not listed in the comps files. If it were, you simply remove it from the comps files. But what you could do is file a ticket in the releng tracker and request removal from all Fedora dists.
Comment 6 Michael Schwendt 2009-06-04 06:49:16 EDT
* Mon Apr 13 2009 Adam Jackson <ajax@redhat.com> 2.26.0-2
- Explicit Conflicts: GConf2-dbus (#492636)

*** This bug has been marked as a duplicate of bug 492636 ***

Note You need to log in before you can comment on or make changes to this bug.